org.apache.maven.shared.artifact.filter.collection

## Class GroupIdFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter
  - - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactFeatureFilter
    - - org.apache.maven.shared.artifact.filter.collection.GroupIdFilter

All Implemented Interfaces:
  ArtifactsFilter

    public class GroupIdFilter
    extends AbstractArtifactFeatureFilter

Filter on GroupId Name.

Since:
  2.0
Version:
  $Id: GroupIdFilter.java 661727 2008-05-30 14:21:49Z bentmann $
Author:
  clove
See Also:
  `org.apache.maven.plugin.dependency.utils.filters.AbstractArtifactFeatureFilter`

### Constructor Summary

Constructors
Constructor and Description
`GroupIdFilter(String include, String exclude)` Construction will setup the super call with a filtertype of 'GroupId'

### Method Summary

Methods
`protected boolean` `compareFeatures(String lhs, String rhs)` Allows Feature comparison to be customized
`protected String` `getArtifactFeature(org.apache.maven.artifact.Artifact artifact)` Should return the type or classifier of the given artifact, so that we can filter it

### Methods inherited from class org.apache.maven.shared.artifact.filter.collection.AbstractArtifactFeatureFilter

`filter, getExcludes, getIncludes, setExcludes, setIncludes`

### Methods inherited from class org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter

`isArtifactIncluded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupIdFilter

    public GroupIdFilter(String include,
                 String exclude)

Construction will setup the super call with a filtertype of 'GroupId'

Parameters:
  `include` -
  `exclude` -

### Method Detail

#### getArtifactFeature

    protected String getArtifactFeature(org.apache.maven.artifact.Artifact artifact)

Description copied from class: `AbstractArtifactFeatureFilter`
Should return the type or classifier of the given artifact, so that we can filter it

Specified by:
  `getArtifactFeature` in class `AbstractArtifactFeatureFilter`
Parameters:
  `artifact` - artifact to return type or classifier of
Returns:
  type or classifier

#### compareFeatures

    protected boolean compareFeatures(String lhs,
                          String rhs)

Description copied from class: `AbstractArtifactFeatureFilter`
Allows Feature comparison to be customized

Overrides:
  `compareFeatures` in class `AbstractArtifactFeatureFilter`
Parameters:
  `lhs` - String artifact's feature
  `rhs` - String feature from exclude or include list
Returns:
  boolean true if features match